let currentIndex = 0;

const carousel = document.querySelector('.carousel');
const carouselInner = document.querySelector('.carousel-inner');
const slides = document.querySelectorAll('.carousel-item');

const indicators = document.querySelectorAll('.indicator');

const videos = document.querySelectorAll('video');

let slideCount = carouselInner.childElementCount

let slideEnterval;

// function startEnterval() {
//     slideEnterval = setInterval(() => {
//          nextSlide();
//     }, 3000);
// }

function showSlide(index) {
    const totalSlides = slides.length;

    if (index >= totalSlides) {
        currentIndex = 0;
    } else if (index < 0) {
        currentIndex = totalSlides - 1;
    } else {
        currentIndex = index;
    }

    const offset = -currentIndex * 100;
    carouselInner.style.transform = `translateX(${offset}%)`;

    indicators.forEach((indicator, idx) => {
        if (idx === currentIndex) {
            indicator.classList.add('active');
        } else {
            indicator.classList.remove('active');
        }
    });
    
}

function nextSlide() {
    showSlide(currentIndex + 1);
}

function prevSlide() {
    showSlide(currentIndex - 1);
}

let startX, currentX;
let isDragging;

function bindEvent() {
    carousel.addEventListener('touchstart', function(e) {
        startX = e.touches[0].pageX;
        isDragging = true
        // if (slideEnterval) {
        //     clearInterval(slideEnterval)
        // }
        
    });
    carousel.addEventListener('touchmove', (e) => {
        if (isDragging) {
            currentX = e.touches[0].pageX;
            const diffX = currentX - startX;
            const offset = (diffX / window.innerWidth - currentIndex) * 100
            // console.log(`touchmove isDragging: ${isDragging}, currentX: ${currentX}, diffX: ${diffX}, offset: ${offset}`)
            carouselInner.style.transform = `translateX(${offset}%)`;
            
            // 阻止事件传递，防止与系统侧滑返回手势冲突
            if (offset > 0) {
                e.preventDefault();
            }
        }
    });
    carousel.addEventListener('touchend', function(e) {
       
        // 重置与暂停之前的播放
        pauseBeforeVideo();
        
        isDragging = false
        const diffX = currentX - startX;
        if (diffX > 100 && currentIndex > 0) {
            currentIndex--;
        } else if (diffX < -100 && currentIndex < slideCount - 1) {
           currentIndex++
        }
        // console.log(`touchend currentX: ${currentX}, diffX: ${diffX}, currentIndex: ${currentIndex}`)
        showSlide(currentIndex)
        // 开启新的播放
        playVieo()
        // startEnterval()
        
    });
    videos.forEach(video => {
        
        video.addEventListener('ended', () => {
            if(!isDragging) { // 拖动时候不处理
                const beforeVideo = videos[currentIndex];
                beforeVideo.currentTime = 0; // 重置播放进度
                currentIndex = (currentIndex + 1) % videos.length; // 计算下一个视频的索引
                playVieo()
                showSlide(currentIndex)
            }
    });
        
    });
}

function pauseBeforeVideo() {
    const beforeVideo = videos[currentIndex];
    beforeVideo.pause()
    beforeVideo.currentTime = 0; // 重置播放进度
    
}
function playVieo() {
    
    videos[currentIndex].play();
    
}
//startEnterval()

bindEvent();

playVieo();

