# 第一部分（自测用例）

`根节点测试：Document`

`水平风格线测试：ThematicBreak/HorizontalRule`

---
***
___


`段落测试：Paragraph / Text`

This is a paragraph. text_a and text_b

`标题测试：Heading`

# 一级标题（产品需求：转三级标题）

## 二级标题（产品需求：转三级标题）

### 三级标题

#### 四级标题

##### 五级标题

###### 六级标题

`粗体测试：Strong`

**粗体文本**

`斜体测试：Emphasis`

*斜体文本*

`粗斜体测试：StrongEmphasis`

***粗斜体文本***

`删除线测试`

~~删除线文本~~

`引用测试：Blockquote`

> 这是一个引用块
>
> 这是引用块的第二行

`锁进测试：IndentedCodeBlock`

        八个空格
        两个tab

`有序列表测试：List`

1. 有序列表项 1
2. 有序列表项 2
3. 有序列表项 3

`无序列表测试：List`

- 无序列表项 1
- 无序列表项 2

* 无序列表项 1
* 无序列表项 2

+ 无序列表项 1
+ 无序列表项 2

`子列表测试：ListItem`

1. 有序列表 1
   1.1 嵌套的有序列表项 1
   1.2 嵌套的有序列表项 2
2. 有序列表 2
   2.1 嵌套的有序列表项 1
   2.2 嵌套的有序列表项 2

- 无序列表项 1
- 无序列表项 2
    - 嵌套的无序列表项 1
    - 嵌套的无序列表项 2

`行内代码测试：InlineCode`

Use `printf` to print text.

`代码块测试：CodeBlock`

```
kotlin
// Kotlin代码块
fun helloWorld() {
    println("Hello, world!")
}
```

`LaTeX 公式测试`

以下是一些常见的数学公式示例：
 **公式**：

- 二次方程的解：
  $$
  x = \frac{-b \pm \sqrt{b^2 - 4ac}}{2a}
  $$

- 积分公式：
  $$
  \int_{a}^{b} f(x) \, dx = F(b) - F(a)
  $$

- 极限：
  $$
  \lim_{x \to \infty} \frac{1}{x} = 0
  $$

3. **矩阵示例**：

   $$
   A = \begin{bmatrix}
   1 & 2 & 3 \\
   4 & 5 & 6 \\
   7 & 8 & 9
   \end{bmatrix}
   $$

`图片测试：Image`

![Markdown Logo](https://markdown-here.com/img/icon256.png)

`链接测试：Link`

[点击这里访问 Markdown 官网](https://www.markdownguide.org)

`表单测试`

| 产品名 | 价格    | 数量 |
|-----|-------|----|
| 苹果  | $1.00 | 10 |
| 香蕉  | $0.50 | 20 |
| 橙子  | $0.80 | 15 |


# 第二部分（产品提供测试用例标注）

制作提拉米苏的步骤如下：
1. 首先，准备所需材料，包括蛋黄、糖、浓缩咖啡、手指饼干等。
2. 在一个容器里混合蛋黄、糖、吗是卡彭奶酪。
3. 把蛋清打泡，加入白兰地...


马尔济斯犬的饮食有以下特别的要求：
1. **主要食物**：每天需要有肉类，最小的需要180克左右，较大的需要200-250克。肉类应加少量水煮熟后切成小块，再加入等量的素干料或不含或少含糖的饼干，用水拌调均匀，分成早晚两次喂饲。
2. **定时定量**：养成定时定量的习惯，喂食可使其肠道更好的消化和吸收，促进其健康成长。
3. **避免特定食物**：禁止食用巧克力、咖啡、葡萄、葱、大蒜等食物，因为这些食物可能对马尔济斯犬的健康造成严重影响。
4. **水分补充**：每天还需给其提供新鲜水，最好喂食含水量高的食物。
5. **营养需求**：选择淡味、营养丰富的狗粮，以保证其获得足够的蛋白质、碳水化合物、脂肪、维生素和矿物质，以满足其生长和活动需求。
   以上就是马尔济斯犬在饮食方面特别的要求，希望对你有所帮助。


冒菜和麻辣烫都是源自中国的快餐小吃，它们有一些相似之处，比如都是将各种食材如蔬菜、豆制品、肉类等在汤底中煮熟后食用，且通常带有麻辣口味。但是它们之间还是存在一些区别的：

1. **起源与文化背景**：
    - 冒菜起源于四川成都，是四川地方特色小吃之一，具有浓厚的川菜风格。
    - 麻辣烫则是在全国范围内更为普及的小吃，尤其是在学生和年轻人群体中非常受欢迎。

2. **食用方式**：
    - 冒菜通常是店家已经搭配好的一锅菜，顾客可以选择不同种类的冒菜，然后由店家加热后端上桌。
    - 麻辣烫则更注重个人选择，顾客可以根据自己的喜好挑选不同的食材，店家会将选好的食材放在同一锅汤料里煮熟。

3. **口味与调味**：
    - 冒菜的味道更加偏向于川菜的特点，可能包括麻、辣、鲜、香等多种味道，并且店家会事先调制好汤底。
    - 麻辣烫的汤底可能会根据地区和个人偏好有所不同，可以是麻辣味的，也可以是其他口味，如番茄味、骨汤味等。

4. **形式**：
    - 冒菜往往是一道完整的菜品，可以作为正餐的一部分来享用。
    - 麻辣烫则更像是街头小吃或快餐，人们可以快速购买并带走食用。

总的来说，虽然两者都有麻辣风味并且都属于煮食类小吃，但在食用方式、口味调整以及文化背景上还是有所差异的。


提拉米苏（Tiramisu）是一款来自意大利的经典甜品，以其轻柔细腻的口感和独特的咖啡香气深受喜爱。下面是一个简单的提拉米苏制作方法：

### 材料
- 马斯卡彭奶酪（Mascarpone Cheese）：500克
- 鸡蛋：3个（分离蛋黄和蛋白）
- 细砂糖：100克（分为两份使用）
- 手指饼干（Ladyfingers）：约200克
- 浓缩咖啡液：约200毫升
- 可可粉：适量
- 咖啡酒（可选）：30毫升

### 制作步骤
1. **准备材料**：先准备好所有材料，确保马斯卡彭奶酪提前从冰箱取出回温至室温。
2. **打发蛋黄糊**：将蛋黄和一半细砂糖混合，用电动打蛋器打发至颜色变浅、体积膨胀。
3. **拌入奶酪**：将打发好的蛋黄糊与马斯卡彭奶酪混合均匀。
4. **打发蛋白霜**：在干净无水无油的容器中，将蛋白打发至出现泡沫，加入剩余的一半细砂糖继续打发至硬性发泡。
5. **混合奶油糊**：将打发好的蛋白霜分次加入到奶酪糊中，轻轻翻拌均匀。
6. **浸泡手指饼干**：将浓缩咖啡冷却后，可以加入少量咖啡酒增加风味，然后用咖啡液快速浸泡手指饼干，排列在模具底部。
7. **铺层**：将一半的奶酪糊铺在手指饼干上，再铺一层浸泡过的手指饼干，最后覆盖剩下的奶酪糊。
8. **撒可可粉**：表面撒上一层薄薄的可可粉。
9. **冷藏**：盖上保鲜膜，放入冰箱冷藏至少4小时，最好过夜，让味道充分融合。
10. **享用**：从冰箱取出，切成适当大小的块即可享用。

### 小贴士
- 如果担心生蛋的安全问题，可以选择巴氏杀菌的鸡蛋或者使用蛋黄酱粉替代。
- 调整咖啡的浓度和甜度以符合个人口味。
- 提拉米苏冷藏后口感更佳，且便于切割。

按照以上步骤，你可以尝试在家制作一款美味的提拉米苏。享受制作的乐趣吧！


| 性能项 | 理想L9 | 理想L8 | 理想L7 | 理想L6 |
| --- | --- | --- | --- | --- |
| **级别定位** | 全尺寸SUV | 中大型SUV | 中大型SUV | 中型SUV |
| **座位数** | 6座 | 6座 | 5座 | 5座 |
| **价格** | 40万以上 | 35.98万起（Max）/39.98万起（Pro） | 33.98万起（Max）/37.98万起（Pro） | 24.98万起 |
| **尺寸** | 5350*1965*1850mm | 5030*1960*1760mm | 5030*1960*1760mm | 4925*1960*1735mm |
| **轴距** | 3100mm | 3005mm | 3005mm | 2920mm |
| **纯电续航** | 215km（CLTC） | 168km（CLTC） | 同L8 | 212km（CLTC） |
| **总续航** | 1315km（CLTC） | 同L9 | 同L8 | 同L7 |
| **电池容量** | 44.5kWh | 42.8kWh | 同L8 | 37度电（磷酸铁锂） |
| **动力系统** | 前后双电机智能四驱，330kW/620Nm | 双电机四驱 | 双电机四驱 | 1.5T发动机+电动机，全系标配四驱 |
| **加速性能** | 0-100km/h加速5.3秒 | 加速性能略低于L9 | 加速性能同L8 | 加速性能同L7 |
| **智能座舱芯片** | 2颗高通骁龙8155芯片 | 双骁龙8155和双英伟达芯片（Max版本） | 同L8 | 8295芯片 |
| **智驾服务费** | 未提供 | 未提供 | 未提供 | 未提供 |
| **智驾系统** | 更高级别智能驾驶辅助系统 | 支持全周期FOTA | 同L8 | 低配Pro版本采用地平线征程芯片，高配MAX版本加入激光雷达 |
| **内饰配置** | 更加豪华，采用高档材料 | 顶配才有冰箱彩电 | 同L8 | MAX及以上版本才标配冰箱 |
| **座椅功能** | “十点按摩” | 腰部按摩 | 同L8 | 同L7 |


```python
# 学生成绩信息字典
students = {}

# 添加新学生和成绩信息到字典中
def add_student(students, name, scores):
# 输入验证，确保成绩在0-100之间
for score in scores:
if not (0 <= score <= 100):
print("成绩必须在0到100之间。")
return False
# 添加学生和成绩信息
students[name] = scores
return True

# 计算每个学生的平均成绩，并添加到字典中
def calculate_average(students):
for name, scores in students.items():
average = sum(scores) / len(scores)
students[name].append(average)

# 找出成绩最好的学生
def find_top_student(students):
top_student = None
top_average = -1
for name, info in students.items():
average = info[-1]  # 最后一个元素是平均成绩
if average > top_average:
top_average = average
top_student = name
if top_student:
print(f"成绩最好的学生是：{name}，平均成绩为：{top_average}")
else:
print("没有学生信息。")



# 主程序
def main():
while True:
print("\n1. 添加学生和成绩")
print("2. 计算平均成绩")
print("3. 查找成绩最好的学生")
print("4. 退出")
choice = input("请选择一个操作：")

        if choice == '1':
            name = input("请输入学生姓名：")
            scores = list(map(int, input("请输入学生成绩，用逗号分隔：").split(',')))
            if add_student(students, name, scores):
                print(f"学生 {name} 已添加。")
        elif choice == '2':
            calculate_average(students)
            print("平均成绩已计算。")
        elif choice == '3':
            find_top_student(students)
        elif choice == '4':
            print("退出程序。")
            break
        else:
            print("无效的选择，请重新输入。")

if __name__ == "__main__":
main()
```
